/* Chatfenster (unten links) */
#chat-window {
    position: fixed;
    bottom: 3vh;
    left: 1vw;
    height: 280px;
    background-color: rgba(0, 0, 0, 0.95);
    padding: 45px;
    box-shadow: 0 4px 8px rgba(255, 255, 255, 0.7);
    color: #fff;
    font-size: 14px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    border: 1px solid #ccc; /* Ein border reicht */
    border-radius: 15px;
    z-index: 9998;
    overflow: clip;
}

/* Chatnachrichtenbereich */
#chat-messages {
    flex: 1;
    overflow-y: auto;
    padding-right: 5px;
    max-height: calc(100% - 60px); /* Platz für das Eingabefeld */
    display: flex;
    flex-direction: column;
    gap: 10px;
}

/* Nachrichteneingabefeld */
#chat-input {
    padding: 10px;
    border: none;
    border-radius: 5px;
    background-color: #222;
    color: #fff;
    font-size: 14px;
    width: 100%;
    box-sizing: border-box;
    position: sticky;
    bottom: 0;
    z-index: 100; /* Damit das Eingabefeld immer oben bleibt */
}

/* Placeholder für das Eingabefeld */
#chat-input::placeholder {
    color: #888;
}

/* Chatnachricht */
.chat-message {
    margin-bottom: 10px;
    padding: 5px;
    background-color: #333;
    border-radius: 5px;
    
}

/* Chat-Toggle Icon */
#chat-toggle {
    position: fixed;
    bottom: 20px;
    left: 20px;
    width: 50px;
    height: 50px;
    background-color: rgba(0, 255, 0, 0.5);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    z-index: 1001;
    transition: transform 0.2s ease;
}

#chat-toggle:hover {
    transform: scale(1.1);
    background-color: rgba(0, 255, 0, 0.7);
}

#chat-toggle img {
    width: 30px;
    height: 30px;
    filter: invert(1);
}

/* Zusätzliche Klasse für verstecktes Chatfenster */
#chat-window.hidden {
    display: none;
}

#senden {
    color: white;
    background: transparent;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(10px);
    border-radius: 5px;
    border: 1px solid white;
}



#audio-canvas {
    border: 2px solid #ccc;
    box-shadow: 0 1px 30px rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(10px);
    display: none;
}

/* Chatnachrichtstypen */
.bot-message {
    background-color: mediumblue;
    align-self: flex-start;
    text-align: left;
    padding: 7px;
    border-radius: 10px;
}

.jarvis-message {
    background: #2b4c7d;
    color: white;
    padding: 10px;
    margin: 5px 0;
    border-radius: 5px;
}




.user-message {
    background: #4a4a4a;
    color: white;
    padding: 10px;
    margin: 5px 0;
    border-radius: 5px;
    align-self: flex-end;
    text-align: right;
}


/* Bis zu 480px (kleine Smartphones) */
@media (max-width: 480px) {

} 


/* Bis 768px (Handys und kleine Tablets) */
@media (min-width: 768px) {
    
} 